Re: [R-pkg-devel] data and load version 3

2020-06-29 Thread Uwe Ligges
On 29.06.2020 22:55, Göran Broström wrote: I added two data sets (.rda) to my package eha, but when I build the new version I get:  WARNING: Added dependency on R >= 3.5.0 because serialized objects in serialize/load version 3 cannot be read in older versions of R.  File(s) containing

Re: [R-pkg-devel] data and load version 3

2020-06-29 Thread Jeff Newmiller
Your choice. Do you want to support people using older versions of R, or not? On June 29, 2020 1:55:02 PM PDT, "Göran Broström" wrote: >I added two data sets (.rda) to my package eha, but when I build the >new >version I get: > > WARNING: Added dependency on R >= 3.5.0 because serialized

[R-pkg-devel] data and load version 3

2020-06-29 Thread Göran Broström
I added two data sets (.rda) to my package eha, but when I build the new version I get: WARNING: Added dependency on R >= 3.5.0 because serialized objects in serialize/load version 3 cannot be read in older versions of R. File(s) containing such objects: ‘eha/data/swedeaths.rda’

[R-pkg-devel] How to refer to COPYRIGHTS and AUTHORS extra files in DESCRIPTION

2020-06-29 Thread git demont
Hi all, I am developing a package called 'IFC'. https://github.com/gitdemont/IFC/ Last submission (v0.0.7) was almost the final one to get it CRAN https://github.com/gitdemont/IFC/tree/v0.0.7 It was manually checked and it should be accepted if I